Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.compilers
Class Gcj

    java.lang.Object
      org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
          org.apache.tools.ant.taskdefs.compilers.Gcj

All Implemented Interfaces:
  CompilerAdapter, CompilerAdapterExtension

    public class Gcj

extends DefaultCompilerAdapter

The implementation of the gcj compiler. This is primarily a cut-and-paste from the jikes.

Since:
  Ant 1.4

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, optimize, project, src, target, verbose`

Constructor Summary
`Gcj()`

Method Summary
`boolean` | `execute()` Performs a compile using the gcj compiler.
`boolean` | `isNativeBuild()` Whether any of the arguments given via <compilerarg> implies that compilation to native code is requested.
`protected Commandline` | `setupGCJCommand()` Set up the gcj commandline.

Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, assumeJava14, assumeJava15, assumeJava16, assumeJava17, assumeJava18, assumeJava19, executeExternalCompile, executeExternalCompile, getBootClassPath, getCompileClasspath, getJavac, getNoDebugArgument, getProject, getSupportedFileExtensions, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gcj

    public Gcj()

Method Detail

### execute

    public boolean execute()
                    throws BuildException

  Performs a compile using the gcj compiler.

  Returns:
    true if the compilation succeeded
  Throws:
    `BuildException` - on error

### setupGCJCommand

    protected Commandline setupGCJCommand()

  Set up the gcj commandline.

  Returns:
    the command line

### isNativeBuild

    public boolean isNativeBuild()

  Whether any of the arguments given via <compilerarg> implies that compilation to native code is requested.

  Returns:
    true if compilation to native code is requested
  Since:
    Ant 1.6.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD